/**
 *      Svelte Stores for Smart Contract Addresses
 *                   by Anthony Riley
 */
import { Readable } from 'svelte/store';
export declare const createContract: (address: string, abi?: ({
    constant: boolean;
    inputs: {
        name: string;
        type: string;
    }[];
    name: string;
    outputs: {
        name: string;
        type: string;
    }[];
    payable: boolean;
    stateMutability: string;
    type: string;
    anonymous?: undefined;
} | {
    payable: boolean;
    stateMutability: string;
    type: string;
    constant?: undefined;
    inputs?: undefined;
    name?: undefined;
    outputs?: undefined;
    anonymous?: undefined;
} | {
    anonymous: boolean;
    inputs: {
        indexed: boolean;
        name: string;
        type: string;
    }[];
    name: string;
    type: string;
    constant?: undefined;
    outputs?: undefined;
    payable?: undefined;
    stateMutability?: undefined;
})[]) => Readable<unknown>;
export declare const USDT: Readable<any>;
export declare const USDC: Readable<any>;
export declare const BUSD: Readable<any>;
export declare const UNI: Readable<any>;
export declare const UST: Readable<any>;
export declare const LINK: Readable<any>;
export declare const DAI: Readable<any>;
export declare const supported: string[];
